Jump to content
Homesick

1.90 update - Troubleshooting

Recommended Posts

I saw the new tips but disabling / enabling mods would take me hours because without the mods I can not connect to our server and to test if they actually work I need to run these mods on server level. And I honestly do not have the time for all this. Also, I find it weird that we, the users, seem to have to find the solution to this issue.

 

I again stress that this is caused by that new security update. It didn't work the first time, and again it didn't work. These sort of updates make the game totally unplayable and wreck the experience of those who are running mods to enhance their game play. Yes, most of us are patient but we are starting to lose patience. Just as Jgaz just said, there are nothing but issues after each update and I am personally starting to get fed up with it.

 

Let's hope we can rollback to version 1.88 or there will be a fix. Otherwise I may just take down my servers and stop playing this game.

 

UPDATE: I have tried to connect to our public server without any mods running. After all I believe if I already can't connect with no mods running it is not related to any mods and it is of no use to disable and enable them one by one. I was proven right. Even without any mods running I still could not connect.

 

I am willing to provide feedback and help find a solution, and I appreciate the tips given, but none of them are working for us and quite a few other people. I also think it is not just a few users having this problem, the numbers are growing and growing.

 

I read that the checks are more strict now. In what way? What has changed? Does this have anything to do with the v3 version of the signatures? We are really stumbling around in the dark here.

Share this post


Link to post
Share on other sites

Dozens of other servers (with and without mods) on the other hand, simply work and have more players than usually, that have discovered them, because of their favorite servers being down.

And as a lot of servers run similar missions/mods, some of players will probably stay on other servers even after the fix and won't come back to the servers where they've always plaid before.

 

Very frustrating.

  • Thanks 2

Share this post


Link to post
Share on other sites
On 3/5/2019 at 2:56 PM, BIS_Homesick said:

- Please try disabling all the mods and then re-enabling them one by one to see if there's a specific mod causing the issue. (The data verification is stricter in order to prevent hacking and it may be possibly catching some erroneous data that had not been causing issues previously.)

 

 

For what? The mods are needed for our mission, so it´s not a question which mod cause the problems, they are NEEDED, ALL!

My server was running befor the update and I expect he run´s after a update.

 

 

Share this post


Link to post
Share on other sites
12 minutes ago, ZN Anhor said:

 

For what? The mods are needed for our mission, so it´s not a question which mod cause the problems, they are NEEDED, ALL!

My server was running befor the update and I expect he run´s after a update.

The verification has become stricter - there's been no other way to prevent certain known hacking methods - so an error that may have previously passed through unnoticed may now cause an issue.
It is a possibility, not a certainty. That's why we're asking you to try to go through individual mods and see if the issue isn't cause by just one of them. It has helped already in few cases.

 

2 hours ago, jgaz-uk said:

What is needed is either an option to; update/not update, on Steam, or one to roll back to a previous version of Arma3 if there are problems..

These options are already available. We also maintain a one legacy branch, at this point it is 1.88.

Share this post


Link to post
Share on other sites

The Lord is praised! My hoster has inserted a rollback function! Back to 1.88!

 

Tell if 1.90 works as expected ........

Share this post


Link to post
Share on other sites
4 minutes ago, oukej said:

The verification has become stricter - there's been no other way to prevent certain known hacking methods - so an error that may have previously passed through unnoticed may now cause an issue.
It is a possibility, not a certainty. That's why we're asking you to try to go through individual mods and see if the issue isn't cause by just one of them. It has helped already in few cases.
 

Enabling and disabling mods is the only way to actually troubleshoot a problem. This can't be put on the developers - because they're mods, delivered as is.

 

The question is: What can we do (provided, we have the ability to update a mod or its bisign files) if we encounter a mod that causes one of these problems?

  • Like 1

Share this post


Link to post
Share on other sites
59 minutes ago, oukej said:

The verification has become stricter - there's been no other way to prevent certain known hacking methods - so an error that may have previously passed through unnoticed may now cause an issue.
It is a possibility, not a certainty. That's why we're asking you to try to go through individual mods and see if the issue isn't cause by just one of them. It has helped already in few cases.

 

These options are already available. We also maintain a one legacy branch, at this point it is 1.88.

 

Referencing my previous post I have identified a problem with ace. As I have no way to solve this issue. I will be downgrading to legacy 1.88 until there is a guide to solving these problems (other than running my server without ace). 

Share this post


Link to post
Share on other sites

Just a polite reminder to all.

If you have proven facts and have reproducible steps which may help address this issue, please share them. If, on the other hand, you are here to merely vent, please save your comments.

The devs do listen to and value your input, but when their feeds contain more moaning than facts, they will quickly return to the task at hand. The cannot fix the problem and sift through loads of messages (here, Reddit, Discord, Twitter, etc) and still be effective. 

Thanks

  • Like 4

Share this post


Link to post
Share on other sites

Hello, I have the same problem too.

We did not change our addons nor the keys
We have lost session, even when we try without any addons

It works if we disable the verification of the keys
I deleted the cache file but it still does not work

 

Has also to replace the key ( a3.bikey )with the new one but does not work either

We need help ^^

Share this post


Link to post
Share on other sites
12 minutes ago, celticalliance said:

My point is if the game won't even connect to a server without any mods running, then why should I enable / disable them one at a time? If the game can't connect to a server with no mods running then it is not a mod issue.

If disabling all mods doesn't solve the problem, your troubleshoot has found an early end: It's not a mod issue. In that case complaining about disabling/enabling mods is kind of useless to begin with - especially if it's about the amount of time it would take. Your specific kind of experience is on the other hand not the only problem occuring since 1.90 - some of these are not related to mods, some seem to be. Additionally every reasonable server admin has a mirrored server test environment on his local computer to check this stuff in a matter of minutes. The test branches are made for that as well - so that you can check beforehand if you have to put some extra hours in before an update - and give constructive feedback to the developers if something breaks.

It's not that you don't have a right to your views - it's just that they're at best self-explanatory and at worst self-contradictory.

 

So, to get on the constructive side: A possible cause for the problems are mods. What kind of changes have to be made to fix a mod that creates connection issues?

Share this post


Link to post
Share on other sites

 

1 minute ago, Belbo said:

The question is: What can we do (provided, we have the ability to update a mod or its bisign files) if we encounter a mod that causes one of these problems?

At this point please share the details with us here. We'll investigate.

Atm we've got a report of (a probably older) version of Enhanced Movement mod causing the issues. We're looking into the acquired data whether there's just something corrupted or if it's something that could happen elsewhere too.
 

Share this post


Link to post
Share on other sites

We encounter the lost session problem when we have no launch addon!
client side and / or server side!

Share this post


Link to post
Share on other sites
4 minutes ago, oukej said:

 

At this point please share the details with us here. We'll investigate.

Atm we've got a report of (a probably older) version of Enhanced Movement mod causing the issues. We're looking into the acquired data whether there's just something corrupted or if it's something that could happen elsewhere too.
 

If only I knew... https://github.com/Pergor/ADV_Medical/issues/22

But I haven't been able to reproduce this on my end.

  • Like 1

Share this post


Link to post
Share on other sites

We have not experienced any issues as of yet. 

BE disabled on a private (non-public) server which has been configured according to BIKI specifications.
V2 sig checks only and "ON". 

We run with multiple mods (RHS, CUP, ACE, etc) , but do not use EM. 

Share this post


Link to post
Share on other sites
Posted (edited)

 

Please note not all servers are affected. It is likely an issue with one of your mods. BI is not responsible for mods. Also if you read the first page of this thread you will see the suggested fixes.

Edited by FallujahMedic -FM-

Share this post


Link to post
Share on other sites

Began receiving "Session Lost" error on dedicated Linux server after update to 1.90. Verified files and so on with no effect. By enabling mods one at a time I was able to isolate the problem to a signature mismatch with ACE (FYI I run ACE with optional items no uniform restriction, particles and tracers). Reverting to stock ACE didn't resolve issue. Finally we uninstalled and reinstalled ACE on clients and server which resolved the issue and are now able to connect without issue. 

  • Like 1

Share this post


Link to post
Share on other sites

Still receiving issue after following your instructions 😞

[2019-03-06 22:02:02]: 3:02:19 NetServer::finishDestroyPlayer(1752278468): DESTROY immediately after CREATE, both cancelled

[2019-03-06 22:02:02]: 3:02:19 BEServer::finishDestroyPlayer(1752278468): users.get failed

 

My server got to working with these mods only on : CBA, TFAR, & Shacktac

@dingos8

Share this post


Link to post
Share on other sites

so can someone explain this to me bohemia broke something in the hotfix and now were waiting for a patch correct

  • Like 1

Share this post


Link to post
Share on other sites

Have had this issue on several servers both vanilla and modded.

Vanilla ServersA fresh install, following troubleshooting tips listed above, using A3BRANCH=233780 -beta has eliminated any further Session Lost errors. 

Modded Servers: as above plus removing mods that have a shared bikey, if the client or server loads with two mods that share a bikey = Session Lost.

 

This worked for me and the modsets that our group uses, your results may vary.

Share this post


Link to post
Share on other sites
4 hours ago, SteveMcGarrett said:

so can someone explain this to me bohemia broke something in the hotfix and now were waiting for a patch correct


Something is not working correctly, yes. However, the cause of it has not yet been determined and is currently being investigated. So, the statement "Bohemia broke something", is technically incorrect at this point. 

Share this post


Link to post
Share on other sites
16 hours ago, FallujahMedic -FM- said:

Just a polite reminder to all.

If you have proven facts and have reproducible steps which may help address this issue, please share them. If, on the other hand, you are here to merely vent, please save your comments.

The devs do listen to and value your input, but when their feeds contain more moaning than facts, they will quickly return to the task at hand. The cannot fix the problem and sift through loads of messages (here, Reddit, Discord, Twitter, etc) and still be effective. 

Thanks


Since politeness does not seem to be working...

Any post that does not factually contribute to the solving of this issue will be marked as spam. Do not make duplicate posts if nothing has changed from your previous post. 
 

  • Like 1

Share this post


Link to post
Share on other sites
18 hours ago, oukej said:

The verification has become stricter - there's been no other way to prevent certain known hacking methods - so an error that may have previously passed through unnoticed may now cause an issue.
It is a possibility, not a certainty. That's why we're asking you to try to go through individual mods and see if the issue isn't cause by just one of them. It has helped already in few cases.

 

21 hours ago, jgaz-uk said:

What is needed is either an option to; update/not update, on Steam, or one to roll back to a previous version of Arma3 if there are problems..

These options are already available. We also maintain a one legacy branch, at this point it is 1.88.

 

 

======================

Client A3 game is updated by Steam automatically & on a dedicated server you have to shut down & then run the Steam update.

Quote "These options are already available" Please please tell us how to roll back the Server & the game to previous version!

Share this post


Link to post
Share on other sites

please try new 1.90 profiling branch with performance server and client binaries,

included are some fixes for new caches

 

  • Like 5
  • Confused 1

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×